18 January 2011

Atlassian presents version 3.0 of the Atlassian Connector for IntelliJ IDEA.

What's new in this release?

  • We've added support for Bamboo 2.7 and the upcoming Bamboo 3.0. 
  • Failing and successful tests are now grouped by Job in the Bamboo Test Results view. And we have simplified the Crucible pre-commit review creation. 
  • The Connector is now compatible with IntelliJ IDEA 10.

Important Note when Upgrading

The majority of the Crucible and FishEye integration has been removed in this version of the Atlassian Connector for IntelliJ IDEA. The features that remain are:

  1. Create Pre-commit Reviews in Crucible
  2. Open files in IntelliJ IDEA from FishEye

For more details regarding this change, please read the announcement.

Don't have the Atlassian IntelliJ Connector yet?

You can install the connector from the 'Plugins' menu in IntelliJ IDEA. Follow our installation instructions.

We love your feedback!

Please log your issues, requests and votes. They help us decide what needs doing. It is easy to add an issue. If you do not yet have an account, the system will prompt you to create one.

This is an open source project. Fork it or get the source code from our BitBucket repository.

Highlights of this Release 

Support for Bamboo 2.7 and 3.0

The Connector is now compatible with the newest versions of Bamboo. We support Bamboo 2.7 as well as the upcoming Bamboo 3.0

Bamboo Jobs support

Bamboo 2.7 improved the way you can structure your Build with Stages and Jobs. We take advantage of this new structure and allow you to browse your test results grouped by Job within the IDE.

  1. tests grouped by job
  2. stack trace corresponding to selected test

Simple Pre-Commit Reviews

We have drastically simplified the Crucible pre-commit review creation. Just invoke the IDEA commit panel and click "Create precommit review".

IDEA Commit changes dialog

  1. Click button Crucible Precomit Review in order to open Crucible precommit review form.

Crucible Precommit create form

  1. Please select repository which you want to anchor patch to. (more about anchoring)

    Compatibility

    Anchoring is available for Crucible 2.4.4 and above.

Compatibility with IntelliJ IDEA 10.x

The Connector is now compatible with IntelliJ IDEA 10.0.1 (compatibility matrix)

Complete List of Fixes in this Release